<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('home');
});

Route::get('/health_literacy', function () {
    return view('health_literacy');
});

//Route::get('/metabolism', function () {
//    return view('metabolism');
//});
Route::get('/metabolism',[\App\Http\Controllers\MetabolismFillFormController::class, 'index']);
Route::get('/metabolism_fill_form', [\App\Http\Controllers\MetabolismFillFormController::class, 'doGet']);
Route::post('/metabolism_fill_form', [\App\Http\Controllers\MetabolismFillFormController::class, 'doPost']);
Route::get('/metabolism_fill_form_ok', [\App\Http\Controllers\MetabolismFillFormController::class, 'doPostOk']);
Route::get('/metabolism_check', [\App\Http\Controllers\MetabolismFillFormController::class, 'doCheckGet']);
Route::post('/metabolism_check', [\App\Http\Controllers\MetabolismFillFormController::class, 'doCheckPost']);

Route::get('/metabolism_resend', [\App\Http\Controllers\MetabolismFillFormController::class, 'doResendNotifyGet']);

//Route::get('/improved_health', function () {
//    return view('improved_health');
//});
Route::get('/improved_health', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'index']);
Route::get('/improved_health_fill_form', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doGet']);
Route::post('/improved_health_fill_form', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doPost']);
Route::get('/improved_health_fill_form_ok', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doPostOk']);
Route::get('/improved_health_check', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doCheckGet']);
Route::post('/improved_health_check', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doCheckPost']);

Route::get('/improved_health_resend', [\App\Http\Controllers\ImprovedHealthFillFormController::class, 'doResendNotifyGet']);


//Route::get('/health_allowance', function () {
//    return view('health_allowance');
//});
Route::get('/health_allowance', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'index']);
Route::get('/health_allowance_fill_form', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doGet']);
Route::post('/health_allowance_fill_form', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doPost']);
Route::get('/health_allowance_fill_form_ok', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doPostOk']);
Route::get('/health_allowance_check', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doCheckGet']);
Route::post('/health_allowance_check', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doCheckPost']);

Route::get('/health_allowance_resend', [\App\Http\Controllers\HealthAllowanceFillFormController::class, 'doResendNotifyGet']);

Route::get('/link', function () {
    return view('link');
});

Route::get('/contact_us', function () {
    return view('contact_us');
});

Route::get('/picm', function () {
    return view('picm');
});

Route::get('/news', [\App\Http\Controllers\NewsController::class, 'index'])
    ->name('news');

Route::get('/health_infos', [\App\Http\Controllers\HealthInfoController::class, 'index'])
    ->name('health_infos');

Route::get('/notices', [\App\Http\Controllers\NoticeController::class, 'index'])
    ->name('notices');

Route::get('/faqs', [\App\Http\Controllers\FaqController::class, 'index'])
    ->name('faqs');

Route::get('send-mail', [\App\Http\Controllers\MailController::class, 'index']);